@echo off
REM Rocket Crowbot Batch File Installer...
REM Make sure this file is in your HALF-LIFE\RCBOTNS folder
:rcbmenu
echo **************** ROCKET CROWBOT INSTALLATION *****************
echo.                        MS-DOS Installer
echo First make sure THIS FILE is in your Half-Life\RcBotNs folder!
echo AND THIS FILE in is the original folders extracted from the zip
echo.
echo Enter a choice:
echo ------------------------------------------
echo 1. Install to Natural Selection
echo ------------------------------------------
echo 2. Un-Install from Natural Selection
echo ------------------------------------------
echo 3. Quit
echo.
echo This program will quit if idle for 60 seconds
choice /C:123 /T:3,60 Please Choose
echo.
if errorlevel 3 goto quit
if errorlevel 2 goto nsuninstall
if errorlevel 1 goto nsinstall
echo.
echo Error occured, invalid input!
goto :rcbmenu

:nsinstall
cls

if exist ..\ns\backup_liblist.gam goto insterr

echo Installing Rocket Crowbot...
echo Backing Up Config Files...

REM Check if the backup folder exists, if not create one

echo Backing Up Config Files...

if not exist ..\ns\rcbot_backup\*.* md ..\ns\rcbot_backup\
copy ..\ns\rcbot_names.txt ..\ns\rcbot_backup\
copy ..\ns\rcbot_buildchat.txt ..\ns\rcbot_backup\
copy ..\ns\allowed_players.cfg ..\ns\rcbot_backup\
copy ..\ns\rcbot.cfg ..\ns\rcbot_backup\
copy ..\ns\rcbot_alienbuildables.txt ..\ns\rcbot_backup\
copy ..\ns\rcbot_buildables.txt ..\ns\rcbot_backup\

REM Check if the maps backup folder exists, if not create one

echo Backing Up Waypoints...

if not exist ..\ns\rcbot_backup\maps\*.* md ..\ns\rcbot_backup\maps
copy ..\ns\maps\*.wpt ..\ns\rcbot_backup\maps

echo Backing Up Liblist.gam File...

if not exist ..\ns\backup_liblist.gam goto backupliblist
:liblistback
if not exist ..\ns\liblist.gam echo WARNING : MOD Liblist.gam file not found (Still installing bot).
if exist ..\ns\liblist.gam del ..\ns\liblist.gam

REM Finished Backup, Install Now.

echo Installing...
echo Copying Documentation...
copy *.txt ..\ns
echo Copying Config Files...
copy *.cfg ..\ns
echo Copying liblist File...
copy liblist.gam ..\ns\liblist.gam
echo Installing waypoints...
copy maps\*.wpt ..\ns\maps
echo Installing dll
copy dlls\rcbot.dll ..\ns\dlls\rcbot.dll
echo **********************
echo Installed Successfuly.
echo **********************
goto :quit

:backupliblist
copy ..\ns\liblist.gam ..\ns\backup_liblist.gam
goto liblistback

:insterr
echo Rocket Crowbot is already Installed.
echo Try UN-INSTALL first and then INSTALL.
pause
goto quit

:nsuninstall
if exist ..\ns\backup_liblist.gam goto :restorelist
:backrestorelist
if not exist ..\ns\backup_liblist.gam goto :uninsterr
if exist ..\ns\backup_liblist.gam del ..\ns\backup_liblist.gam
echo *************************
echo Uninstalled Successfully.
echo *************************
goto :quit

:restorelist
copy ..\ns\backup_liblist.gam ..\ns\liblist.gam /Y
goto backrestorelist

:uninsterr
cls
echo Error. Bot is NOT installed (Try re-installing and un-installing if it is).
pause

:quit
echo Quitting Program